logging-facade-0.3.1: Simple logging abstraction that allows multiple back-ends

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Logging.Facade.Types

# Documentation

data LogLevel Source #

Constructors

TRACE |
DEBUG |
INFO |
WARN |
ERROR |

#### Instances

Instances details

Bounded LogLevel Source # |
Instance details Defined in System.Logging.Facade.Types Methods minBound :: LogLevel Source # maxBound :: LogLevel Source #
Enum LogLevel Source # |

Instance details

Defined in System.Logging.Facade.Types

Methods

succ :: LogLevel -> LogLevel Source #

pred :: LogLevel -> LogLevel Source #

toEnum :: Int -> LogLevel Source #

fromEnum :: LogLevel -> Int Source #

enumFrom :: LogLevel -> [LogLevel] Source #

enumFromThen :: LogLevel -> LogLevel -> [LogLevel] Source #

enumFromTo :: LogLevel -> LogLevel -> [LogLevel] Source #

enumFromThenTo :: LogLevel -> LogLevel -> LogLevel -> [LogLevel] Source #

Read LogLevel Source # |
Instance details Defined in System.Logging.Facade.Types Methods readsPrec :: Int -> ReadS LogLevel Source # readList :: ReadS [LogLevel] Source # readPrec :: ReadPrec LogLevel Source # readListPrec :: ReadPrec [LogLevel] Source #
Show LogLevel Source # |
Instance details Defined in System.Logging.Facade.Types Methods showsPrec :: Int -> LogLevel -> ShowS Source # show :: LogLevel -> String Source # showList :: [LogLevel] -> ShowS Source #
Eq LogLevel Source # |
Instance details Defined in System.Logging.Facade.Types Methods (==) :: LogLevel -> LogLevel -> Bool Source # (/=) :: LogLevel -> LogLevel -> Bool Source #
Ord LogLevel Source # |
Instance details Defined in System.Logging.Facade.Types Methods compare :: LogLevel -> LogLevel -> Ordering Source # (<) :: LogLevel -> LogLevel -> Bool Source # (<=) :: LogLevel -> LogLevel -> Bool Source # (>) :: LogLevel -> LogLevel -> Bool Source # (>=) :: LogLevel -> LogLevel -> Bool Source # max :: LogLevel -> LogLevel -> LogLevel Source # min :: LogLevel -> LogLevel -> LogLevel Source #

data Location Source #

Constructors

Location |

Fields

- locationPackage :: String
- locationModule :: String
- locationFile :: String
- locationLine :: Int
- locationColumn :: Int

#### Instances

Instances details

Show Location Source # |
Instance details Defined in System.Logging.Facade.Types Methods showsPrec :: Int -> Location -> ShowS Source # show :: Location -> String Source # showList :: [Location] -> ShowS Source #
Eq Location Source # |
Instance details Defined in System.Logging.Facade.Types Methods (==) :: Location -> Location -> Bool Source # (/=) :: Location -> Location -> Bool Source #

data LogRecord Source #

Constructors

LogRecord |

Fields

- logRecordLevel :: LogLevel
- logRecordLocation :: Maybe Location
- logRecordMessage :: String

#### Instances

Instances details

Show LogRecord Source # |
Instance details Defined in System.Logging.Facade.Types Methods showsPrec :: Int -> LogRecord -> ShowS Source # show :: LogRecord -> String Source # showList :: [LogRecord] -> ShowS Source #
Eq LogRecord Source # |
Instance details Defined in System.Logging.Facade.Types Methods (==) :: LogRecord -> LogRecord -> Bool Source # (/=) :: LogRecord -> LogRecord -> Bool Source #